Bug 241797 - shared polyinstantiated directories
shared polyinstantiated directories
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pam (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-30 14:25 EDT by Ted X Toth
Modified: 2008-04-03 12:12 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-03 12:12:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to add level_user and context_user methods of polyinstantiation (2.07 KB, patch)
2007-05-30 14:25 EDT, Ted X Toth
no flags Details | Diff

  None (edit)
Description Ted X Toth 2007-05-30 14:25:58 EDT
Description of problem:
With the current implementation of pam_namespace there is no way to create a
polyinstantiated directory which can be shared by multiple users by level or
context. When polyinstantiating by level or context the users name is always
appended to the instance directory name. We make extensive use of directories
that are polyinstantiated only by level in the CMW version of our product to
allow multiple clients to write files to 'shared' polyinstantiated directories.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ted X Toth 2007-05-30 14:25:58 EDT
Created attachment 155722 [details]
patch to add level_user and context_user methods of polyinstantiation
Comment 2 Tomas Mraz 2007-05-31 03:38:12 EDT
I agree that this feature would be useful, but we shouldn't break backwards
compatibility. So I propose using 'lvlshared' and 'ctxshared' for the new methods.
Comment 3 Tomas Mraz 2008-04-03 12:12:41 EDT
This will be fixed in future Red Hat Enterprise Linux release. A fix is already
in upstream and Fedora development as well.

Note You need to log in before you can comment on or make changes to this bug.